<%= form_with(model: user, url: profile_path(user), method: "patch", local: true) do |form| %>

  <div class="form-group">
    <%= form.label :ชื่อ, style: "display: block" %>
    <%= form.text_field :name, class: 'form-control' %>
    <% user.errors.full_messages_for(:name).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("Name","") %>
      </div>
    <% end %>
  </div>


  <%= form.fields_for :user_datum do |datum| %>

    <div class="form-group">
      <%= datum.label 'สู้/สองตัว/เปอร์เซ็น', style: "display: block" %>
      <%= datum.select :fight_percent, current_user.fightable, {selected: current_user.user_datum.fight_percent || 0}, class: 'form-control' %>
    </div>

    <div class="form-group">
      <%= datum.label 'สู้/สามตัว/เปอร์เซ็น', style: "display: block" %>
      <%= datum.select :fight_three, current_user.fightable, {selected: current_user.user_datum.fight_three || 0}, class: 'form-control' %>
    </div>
    <div class="form-group">
      <%= datum.label 'สู้/วิ่ง/เปอร์เซ็น', style: "display: block" %>
      <%= datum.select :fight_run, current_user.fightable, {selected: current_user.user_datum.fight_run || 0}, class: 'form-control' %>
    </div>

    <div class="form-group">
      <%= datum.label 'จำกัดการสู้/สองตัว/บาท', style: "display: block" %>
      <%= datum.text_field :two_fight_limit, class: 'form-control' %>
      <% user.errors.full_messages_for('user_datum.two_fight_limit').each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum two fight limit ","") %>
        </div>
      <% end %>
    </div>

    <div class="form-group">
      <%= datum.label 'จำกัดการสู้/สามตัว/บาท', style: "display: block" %>
      <%= datum.text_field :three_fight_limit, class: 'form-control' %>
      <% user.errors.full_messages_for('user_datum.three_fight_limit').each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum three fight limit ","") %>
        </div>
      <% end %>
    </div>

    <div class="form-group">
      <%= datum.label 'จำกัดการสู้/วิ่ง/บาท', style: "display: block" %>
      <%= datum.text_field :run_fight_limit, class: 'form-control' %>
      <% user.errors.full_messages_for('user_datum.run_fight_limit').each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum run fight limit ","") %>
        </div>
      <% end %>
    </div>

  <% end %>


  <div>
    <%= form.submit 'บันทึก', class: 'btn btn-primary' %>
    <%= link_to "กลับ", profile_path(current_user), class: 'btn btn-success' %>
  </div>
<% end %>